Next: wmemcpy, Previous: wmemchr, Up: Wchar strings

### 6.2 `wmemcmp`—compare wide characters in memory

Synopsis

         #include <wchar.h>
         int wmemcmp(const wchar_t *s1, const wchar_t *s2, size_t n);

Description
The `wmemcmp` function compares the first n wide characters of the object pointed to by s1 to the first n wide characters of the object pointed to by s2. This function is not affected by locale and all wchar_t values are treated identically. The null wide character and wchar_t values not corresponding to valid characters are not treated specially.

If n is zero, s1 and s2 must be a valid pointers and the function behaves as if the two objects compare equal.

Returns
The `wmemcmp` function returns an integer greater than, equal to, or less than zero, accordingly as the object pointed to by s1 is greater than, equal to, or less than the object pointed to by s2.

Portability
`wmemcmp` is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.